#include "misc.h"
#include "config.h"

//ideas stolen from various djb utilities

const char* hextable="0123456789ABCDEF";

void hexchar(unsigned char c, char *result) {
	  result[0]=hextable[(c>>4)];
	  result[1]=hextable[(c & 15)];
}

void tokenize(char *line, int *fields, int maxfields) {
	int i,j,len;
	char ch;

	len=strlen(line);
	for(i=0;i<len;i++) {
		ch=line[i];
               	if((ch=='\n')||(ch==' ')||(ch=='\t')||(ch=='\r')||(ch==','))
			line[i]='\0';
       	}
       	j=0;
       	for(i=0;i<maxfields;i++) {
        	while(j<len) if(line[j]) break; else j++;
        	fields[i]=j;
        	while(j<len) if(!line[j]) break; else j++;
       	}
}

unsigned int scan_uint32(register char *s, register uint32 *u) {
  register unsigned int pos; register uint32 result;
  register uint32 c;
  pos = 0; result = 0;
  while ((c = (uint32) (unsigned char) (s[pos] - '0')) < 10)
    { result = result * 10 + c; ++pos; }
  *u = result; return pos;
}
